class Reports::ProductSaleController < BaseReportController
	authorize_resource :class => false

	def index
		@order_by = 'desc'
		if !params[:order_by].nil?
			@order_by = params[:order_by]
		end

	    @sale_data = Sale.get_menu_item_query(@order_by)

	    # get printer info
	    @print_settings = PrintSetting.get_precision_delimiter()

		respond_to do |format|
			format.html
			format.json 
			format.xls
		end
  	end

  	#Shop Name in Navbor
	helper_method :shop_detail
	def shop_detail
		@shop = Shop.first
	end
end
